密钥概览
| 密钥版本 | V4 |
|---|---|
| 规范 | RFC 2440 · RFC 4880 · RFC 9580 |
| 状态 | 兼容,但已被 RFC 9580 弃用 |
| 主密钥(认证、签名) | ECDSA NIST P-521 · ID 19 · SHA-512 |
| 加密子密钥 | ECDH NIST P-521 · ID 18 |
| 指纹 | 388CB0449DA27910B500892F28877C8D10C07DAD |
| 私钥口令 | synthetic-key-password |
算法与用途
ECDSA NIST P-521: 在最强的 NIST 曲线 NIST P-521 上使用 SHA-512 的椭圆曲线签名。
ECDH NIST P-521: NIST P-521. 上的椭圆曲线 Diffie–Hellman 加密子密钥。
公钥
包含主密钥、加密子密钥及其绑定签名的公开证书。导入后可验证签名,或向此测试身份加密数据。
下载 → 1 083 字节
-----BEGIN PGP PUBLIC KEY BLOCK-----
xpMEaveFEBMFK4EEACMEIwQAJ8cqHEUcBmsI5vIdHSGTFAcMpx3sc8XSRpYEmB/e
UqwvhHhIkmH1mOPcDvnBAErw94Z77wf5JWa+IdU7cShW3WIBWK4vxwMSgqki25XF
GyN04+acfyu8da2sIqOuvnGCOrabGn1KqNBIRf9gH0tgPtpVYbO0VXjPFWsD49Yr
p7IrggbNJkNILUogbWF0cml4IDIzLXY0LWVjZHNhLXA1MjErZWNkaC1wNTIxwsAP
BBMTCgA0BQJq94UQFiEEOIywRJ2ieRC1AIkvKId8jRDAfa0CGwMCHgEDCwkHARUB
FgUnCQIHAgIZAQAKCRAoh3yNEMB9rciyAgduckPcZjmuj5REwl6yjk4iAaxWNd5u
tA1izH/GIUIlRjabBltP7/C6Uu9N0sIOij+4dtPQbPWNvZF5PbUQHdjYlAIJATq2
O62X+mPygzIRQwfSzcCV2isPpcHM8JRyVOKiCjFY3P+fnhWSHtri0hWrSWoY1LNZ
ffAFM6l80CbMYGa6PWfvzpcEaveFEBIFK4EEACMEIwQAz4bUtXWqk9w1KSryZ1au
oXTDRmgEiJ5xE9/V1ttjLEbBw53No9uCtMc40Ehw5WVOFmHIPvJPNLkKrWssvmWC
8n4ABFiS+k0m8v4OnP18v08JESELhMwhbBATQV8UdmnIOtzhDyFG0j18pjtVg48o
XmkF7HIY5r8dPdJ7242Ro4xGWp0DAQoJwroEGBMKACAFAmr3hRAWIQQ4jLBEnaJ5
ELUAiS8oh3yNEMB9rQIbDAAKCRAoh3yNEMB9rZTKAgjMoZTROxBjdmuf+5rlIPWM
BjSt8vpq6cYfwkPOFzxUg045F7VqNFPZ8X6CX9KLtkAOqcvcOW4PiW+AmI+8UVTa
MAIIwogAMoNzCqdhP+vAgutG6tPzTGXVWvyNIKLYdsoStr6LgYA/VS2+KRL1T9An
AIyRZV8jNeMtEhQ0R1UXPw/ZBC0=
=QiK0
-----END PGP PUBLIC KEY BLOCK-----
私钥
由上方所示口令保护的私钥。仅为测试而公开,任何人都可使用。
下载 → 1 406 字节
显示
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcBIBGr3hRATBSuBBAAjBCMEACfHKhxFHAZrCObyHR0hkxQHDKcd7HPF0kaWBJgf
3lKsL4R4SJJh9Zjj3A75wQBK8PeGe+8H+SVmviHVO3EoVt1iAViuL8cDEoKpItuV
xRsjdOPmnH8rvHWtrCKjrr5xgjq2mxp9SqjQSEX/YB9LYD7aVWGztFV4zxVrA+PW
K6eyK4IG/gkDCMJjfUntPNFK4OxFGLoXdfO9NggytjV16HR06alb1DWdQfaIMQcR
Xz7RIEo1zfWeAb7mJuECPsVoCxolgBTm/YifyGZ9qi8vQdhEECGdh8lByFSjsAB/
OyDJjkSDjgI+E5K7GlTtVrGQ/wbKgSITloLMzSZDSC1KIG1hdHJpeCAyMy12NC1l
Y2RzYS1wNTIxK2VjZGgtcDUyMcLADwQTEwoANAUCaveFEBYhBDiMsESdonkQtQCJ
LyiHfI0QwH2tAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQKId8jRDAfa3IsgIH
bnJD3GY5ro+URMJeso5OIgGsVjXebrQNYsx/xiFCJUY2mwZbT+/wulLvTdLCDoo/
uHbT0Gz1jb2ReT21EB3Y2JQCCQE6tjutl/pj8oMyEUMH0s3AldorD6XBzPCUclTi
ogoxWNz/n54Vkh7a4tIVq0lqGNSzWX3wBTOpfNAmzGBmuj1n78fATARq94UQEgUr
gQQAIwQjBADPhtS1daqT3DUpKvJnVq6hdMNGaASInnET39XW22MsRsHDnc2j24K0
xzjQSHDlZU4WYcg+8k80uQqtayy+ZYLyfgAEWJL6TSby/g6c/Xy/TwkRIQuEzCFs
EBNBXxR2acg63OEPIUbSPXymO1WDjyheaQXschjmvx090nvbjZGjjEZanQMBCgn+
CQMIrrzwYdygBM/gYPOeB3AqKlleT6501mbl9wj9hiL4bKDJ7Qm+S6FZ/7MTMdpP
zHYcNAptHZDgS6iiv9UkmSL0s758OMlt6VavLLuAzkv7OYKen5P64lUnPxXey3Q4
isOl+3fBNsGxpV73SQy0h/42KGvCugQYEwoAIAUCaveFEBYhBDiMsESdonkQtQCJ
LyiHfI0QwH2tAhsMAAoJECiHfI0QwH2tlMoCCMyhlNE7EGN2a5/7muUg9YwGNK3y
+mrpxh/CQ84XPFSDTjkXtWo0U9nxfoJf0ou2QA6py9w5bg+Jb4CYj7xRVNowAgjC
iAAyg3MKp2E/68CC60bq0/NMZdVa/I0goth2yhK2vouBgD9VLb4pEvVP0CcAjJFl
XyM14y0SFDRHVRc/D9kELQ==
=Mpic
-----END PGP PRIVATE KEY BLOCK-----
吊销证书
预先生成的吊销证书。导入后会将密钥标记为已吊销;公开此证书是为了让您测试软件如何处理已吊销的密钥。
下载 → 1 335 字节
显示
-----BEGIN PGP PUBLIC KEY BLOCK-----
xpMEaveFEBMFK4EEACMEIwQAJ8cqHEUcBmsI5vIdHSGTFAcMpx3sc8XSRpYEmB/e
UqwvhHhIkmH1mOPcDvnBAErw94Z77wf5JWa+IdU7cShW3WIBWK4vxwMSgqki25XF
GyN04+acfyu8da2sIqOuvnGCOrabGn1KqNBIRf9gH0tgPtpVYbO0VXjPFWsD49Yr
p7IrggbCuAQgEwoAHQUCaveFEBYhBDiMsESdonkQtQCJLyiHfI0QwH2tAAoJECiH
fI0QwH2tKLYCB3puEL8MsEeLpDrwDNx0Kbo7EnnN8aMUgg/s7smg7aq2VJIjFJPP
ub1gpJ1KNDvHgEGiRSDjAX3414kplPFmMos+AgkB41Th0n6SRprodjCTHdGO4Mnp
yH01NVffdAaSOv6CPW+mCSiPrQERQVKnEUQhzj/8eSTgUy4x0ZddmbtnYxLFM4bN
JkNILUogbWF0cml4IDIzLXY0LWVjZHNhLXA1MjErZWNkaC1wNTIxwsAPBBMTCgA0
BQJq94UQFiEEOIywRJ2ieRC1AIkvKId8jRDAfa0CGwMCHgEDCwkHARUBFgUnCQIH
AgIZAQAKCRAoh3yNEMB9rciyAgduckPcZjmuj5REwl6yjk4iAaxWNd5utA1izH/G
IUIlRjabBltP7/C6Uu9N0sIOij+4dtPQbPWNvZF5PbUQHdjYlAIJATq2O62X+mPy
gzIRQwfSzcCV2isPpcHM8JRyVOKiCjFY3P+fnhWSHtri0hWrSWoY1LNZffAFM6l8
0CbMYGa6PWfvzpcEaveFEBIFK4EEACMEIwQAz4bUtXWqk9w1KSryZ1auoXTDRmgE
iJ5xE9/V1ttjLEbBw53No9uCtMc40Ehw5WVOFmHIPvJPNLkKrWssvmWC8n4ABFiS
+k0m8v4OnP18v08JESELhMwhbBATQV8UdmnIOtzhDyFG0j18pjtVg48oXmkF7HIY
5r8dPdJ7242Ro4xGWp0DAQoJwroEGBMKACAFAmr3hRAWIQQ4jLBEnaJ5ELUAiS8o
h3yNEMB9rQIbDAAKCRAoh3yNEMB9rZTKAgjMoZTROxBjdmuf+5rlIPWMBjSt8vpq
6cYfwkPOFzxUg045F7VqNFPZ8X6CX9KLtkAOqcvcOW4PiW+AmI+8UVTaMAIIwogA
MoNzCqdhP+vAgutG6tPzTGXVWvyNIKLYdsoStr6LgYA/VS2+KRL1T9AnAIyRZV8j
NeMtEhQ0R1UXPw/ZBC0=
=HHLZ
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin 的签名
在 CH-J Tools 中使用此密钥生成的 test_1MB.bin 的 ASCII 装甲格式分离签名。请将其保存为 test_1MB.bin.asc,与测试文件放在同一目录。
下载 → 321 字节
-----BEGIN PGP SIGNATURE-----
wrkEABMKAB0WIQQ4jLBEnaJ5ELUAiS8oh3yNEMB9rQUCaveO8gAKCRAoh3yNEMB9
rS16AgkBMs9gBLcZjWGoYRm/zfqJ9trutvmEMEeDhm66YDIB7BSWRmnAawOkmbcy
B0PVIXuZOA+DXryclmrNkveCvDOL4Z8CCQHNBslMJJnLM+F+hNcgk7evcHRYMIbm
P/pfvs5yxczoXu1y2CqAkE+47Xo630wEhflzPAUiJyJSu3lzBGco8XoyKw==
=Vt7z
-----END PGP SIGNATURE-----
验证签名
版本 4 的密钥可在算法受支持的情况下用于 GnuPG 以及 sqop、rsop 等 SOP 工具。请使用临时 GNUPGHOME,避免将测试密钥导入实际使用的密钥环:
gpg --import pgp-example-23-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin